(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5701,        170]
NotebookOptionsPosition[      4621,        142]
NotebookOutlinePosition[      4962,        157]
CellTagsIndexPosition[      4919,        154]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Prisma", "=", 
  RowBox[{"Parallelepiped", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", 
        RowBox[{"Sqrt", "[", "12", "]"}]}], "}"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8527848931930637`*^9, 3.8527848945524235`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"4b3e0b8c-cb89-4d94-bd1f-1b4bdb3c3a27"],

Cell[BoxData[
 RowBox[{"Parallelepiped", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", 
       RowBox[{"2", " ", 
        SqrtBox["3"]}]}], "}"}]}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.8527849953959217`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"62b46526-58c4-4b26-8eb3-e0f0469542b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Parallelepiped", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", 
          RowBox[{"Sqrt", "[", "12", "]"}]}], "}"}]}], "}"}]}], "]"}], "]"}], 
   ",", 
   RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8527848976930513`*^9, 3.852784898099291*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"5b987a00-763b-4bec-bc3c-6c57f50bc2c5"],

Cell[BoxData[
 Graphics3DBox[
  InterpretationBox[
   HexahedronBox[
    NCache[{{0, 0, 0}, {2, 0, 0}, {2, 2, 0}, {0, 2, 0}, {
      0, 1, 2 3^Rational[1, 2]}, {2, 1, 2 3^Rational[1, 2]}, {
      2, 3, 2 3^Rational[1, 2]}, {0, 3, 2 3^Rational[1, 2]}}, {{0, 0, 0}, {2, 
      0, 0}, {2, 2, 0}, {0, 2, 0}, {0, 1, 3.4641016151377544`}, {
      2, 1, 3.4641016151377544`}, {2, 3, 3.4641016151377544`}, {
      0, 3, 3.4641016151377544`}}]],
   Parallelepiped[{0, 0, 
    0}, {{2, 0, 0}, {0, 2, 0}, {0, 1, 2 3^Rational[1, 2]}}]],
  Axes->True,
  ImageSize->{342.8860333070362, 381.95234781540546`},
  ImageSizeRaw->Automatic,
  ViewPoint->{3.1256996852832883`, 0.8507261998435973, 0.9778887515048034},
  ViewVertical->{0.484874369219081, 0.15363306182577363`, 
   0.8609841626815421}]], "Output",
 CellChangeTimes->{3.8527849041930213`*^9, 3.8527849978802886`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"18029fce-a921-408e-8477-bffc4548249d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RC", "=", 
  RowBox[{"RegionCentroid", "[", "Prisma", "]"}]}]], "Input",
 CellLabel->"In[5]:=",ExpressionUUID->"a2ecd7e4-f257-4604-816f-cec699f8c0e8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   FractionBox["3", "2"], ",", 
   SqrtBox["3"]}], "}"}]], "Output",
 CellChangeTimes->{3.8527849704584837`*^9, 3.8527850014271564`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"5ffcfac3-bf85-456e-aa8b-e5b9aeb2f680"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ja", "=", 
  RowBox[{"MomentOfInertia", "[", 
   RowBox[{"Prisma", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8527851954957027`*^9, 3.8527852028705034`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"bf8eb464-e7b6-4c8a-b4d5-44f5778594d0"],

Cell[BoxData[
 FractionBox["112", 
  SqrtBox["3"]]], "Output",
 CellChangeTimes->{3.8527852310110683`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"3d16589f-8910-4746-b5ee-5fb445657be0"]
}, Open  ]]
},
WindowSize->{1350, 709},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 626, 17, 45, "Input",ExpressionUUID->"4b3e0b8c-cb89-4d94-bd1f-1b4bdb3c3a27"],
Cell[1209, 41, 566, 16, 39, "Output",ExpressionUUID->"62b46526-58c4-4b26-8eb3-e0f0469542b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1812, 62, 750, 20, 45, "Input",ExpressionUUID->"5b987a00-763b-4bec-bc3c-6c57f50bc2c5"],
Cell[2565, 84, 937, 19, 399, "Output",ExpressionUUID->"18029fce-a921-408e-8477-bffc4548249d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3539, 108, 174, 3, 45, "Input",ExpressionUUID->"a2ecd7e4-f257-4604-816f-cec699f8c0e8"],
Cell[3716, 113, 264, 6, 49, "Output",ExpressionUUID->"5ffcfac3-bf85-456e-aa8b-e5b9aeb2f680"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4017, 124, 401, 9, 45, "Input",ExpressionUUID->"bf8eb464-e7b6-4c8a-b4d5-44f5778594d0"],
Cell[4421, 135, 184, 4, 88, "Output",ExpressionUUID->"3d16589f-8910-4746-b5ee-5fb445657be0"]
}, Open  ]]
}
]
*)

